Bug 28170 - Переключение раскладки отключает интерфейс Awesome WM
Summary: Переключение раскладки отключает интерфейс Awesome WM
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: awesome (show other bugs)
Version: unstable
Hardware: all Linux
: P3 major
Assignee: Nobody's working on this, feel free to take it
QA Contact: qa-sisyphus
URL: https://awesome.naquadah.org/bugs/ind...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 17:07 MSK by ttrgr
Modified: 2017-03-01 03:53 MSK (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ttrgr 2012-12-03 17:07:38 MSK
Переключение раскладки на русскую полностью отключает все интерфейсные элементы Awesome'а, которые перестают реагировать на мышь.
Также баг описан тут: http://archlinux.org.ru/forum/viewtopic.php?f=15&t=8783
и тут: https://awesome.naquadah.org/bugs/index.php?do=details&task_id=982  
Я честно говоря не понял куда лучше прилепить баг. К Awesome или xkbcomp
Comment 1 Evgenii Terechkov 2012-12-03 19:39:52 MSK
Я честно говоря не понял что вы ходите от пакета awesome.

Quoting from https://bugs.freedesktop.org/show_bug.cgi?id=50611#c7

  The observed behaviour observed with x.c is in agreement with the
  specification.  If x.c properly models the behaviour of awesome, commit
  1447071942dbbbfc37b08417c74c8a1d302c1626 just exposes a bug in awesome
  that went unnoticed thanks to the bug that this commit fixed.

т.е. нужно идти в апстрим. Видимо, awesome-а.
Comment 2 Evgenii Terechkov 2012-12-09 09:37:27 MSK
Это исправлено в ветке 3.5. Ждём релизов...
Comment 3 Evgenii Terechkov 2012-12-22 13:06:07 MSK
Попробуйте awesome-3.5-alt2. NB: конфигурации веток 3.4 и 3.5 несовместимы.
Comment 4 Константин 2013-11-16 12:30:19 MSK
Ни фига оно не исправлено. 

Либо (xkbcomp $DISPLAY - | egrep -v "group . = AltGr;" | xkbcomp - $DISPLAY) в автозагрузку кидать

Либо в файле share/X11/xkb/compat/basic закомментировать строки
    group 2 = AltGr;                                                                                           
    group 3 = AltGr;                                                                                           
    group 4 = AltGr;
Comment 6 Evgenii Terechkov 2017-03-01 03:53:28 MSK
Попробуйте awesome-4.0-alt1. NB: конфигурации веток 3 и 4 несовместимы.